Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class NewAttributeDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.NewDataObjectDialog
hdf.view.dialog.NewAttributeDialog

public class NewAttributeDialog extends NewDataObjectDialog
NewAttributeDialog displays components for adding a new attribute.

Version:
  2.4 1/7/2016
Author:
  Jordan T. Henderson

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `DEFAULT_STRING_ATTRIBUTE_LENGTH`
  the default length of a string attribute

  ### Fields inherited from class hdf.view.dialog.NewDataObjectDialog

  `checkUnsigned, classChoice, curFont, endianChoice, fileFormat, isEnum, isH5, isVLen, isVlenStr, lengthField, namedChoice, namedList, newObject, objList, parentObj, refObject, shell, sizeChoice, strEnumMap, tclass, torder, tsign, tsize, useCommittedType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewAttributeDialog​(org.eclipse.swt.widgets.Shell parent, HObject obj, List<HObject> objs)`
  Constructs a NewAttributeDialog with specified object (dataset, group, or image) for the new attribute to be attached to.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attribute`
  `getAttribute()`
  `void`
  `open()`

  ### Methods inherited from class hdf.view.dialog.NewDataObjectDialog

  `createDatatypeWidget, createNewDatatype, getObject, getParentGroup`

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STRING_ATTRIBUTE_LENGTH

    public static final int DEFAULT_STRING_ATTRIBUTE_LENGTH
    the default length of a string attribute
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### NewAttributeDialog

    public NewAttributeDialog​(org.eclipse.swt.widgets.Shell parent, HObject obj, List<HObject> objs)
    Constructs a NewAttributeDialog with specified object (dataset, group, or image) for the new attribute to be attached to.
    Parameters:
      `parent` - the parent shell of the dialog
      `obj` - the object for the attribute to be attached to.
      `objs` - the specified objects.

- ## Method Details

  - ### open

    public void open()

  - ### getAttribute

    public Attribute getAttribute()
    Returns:
      the new attribute created.